> For the complete documentation index, see [llms.txt](https://docs.smartlauncher.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.smartlauncher.net/other-products/iconpackstudiofaq/faq-for-launcher-developers.md).

# FAQ for launcher developers

### My launcher is listed in Icon Pack Studio as unsupported

This happens because your launcher does not support the Icon Pack Studio format.

Icon Pack Studio exports user creations using one of the most common icon pack formats in Android.

If your launcher supports icon packs downloadable from the Google Play Store, it probably already supports Icon Pack Studio; you just need to ensure your launcher searches in the file `/res/raw/appfilter.xml` to resolve the icon resource IDs.

If you need assistance with this, or if you have already checked and want to report that your launcher is now compatible, just contact us at <support+dev@smartlauncher.net>

### How can I launch the Icon Pack Studio editor for a specific app from my launcher?

Just use this piece of code to launch the Icon Pack Studio editor.

```
val intent = Intent("android.intent.action.PICK")
intent.setPackage("ginlemon.iconpackstudio")
intent.putExtra("packagename", <app packagename>)
intent.putExtra("activityname", <app activityname>)
intent.putExtra("userid", <app userId or -1>)
startActivityForResult(intent, YOUR_REQUEST_CODE)
```

If you need assistance with this, or if you already checked and you want to report your launcher is now compatible, just contact us at <support+dev@smartlauncher.net>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smartlauncher.net/other-products/iconpackstudiofaq/faq-for-launcher-developers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
